Agents

Get CertiWise permission scope for a user

GET
/organizations/{organizationId}/certiwise/permissions/scopes/{userId}

Path Parameters

organizationId*string
Formatuuid
userId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid
x-user-id?string

Optional Supabase user id for org-admin verification on sensitive license routes

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/permissions/scopes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "role": "certiwise_admin",  "labelFilter": {    "property1": "string",    "property2": "string"  },  "accessibleAgentCount": 0,  "totalAgentCount": 0}
{  "message": "string"}
{  "message": "string"}